Subject: bug#36329: 26.2; file-size-human-readable issues

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 10 Oct 2019 01:58:54 +0200

Pierre Neidhardt <[email-masked]> writes:

> I could spot 2 issues with file-size-human-readable:
>
> 1. Trailing ".0".  Compare
>
> (file-size-human-readable 2047)
> "2.0k"
> (file-size-human-readable 2048)
> "2k"

I've now fixed this on the Emacs trunk.

> 2. Spurious "i" in 'iec mode for bytes:
>
> (file-size-human-readable 1 'si)
> "1"

The spurious "i" (not present in the example here) has already been
fixed, as far as I can tell.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no